eslint-config-airbnb versions and peer dependencies

The table below has a list of all versions of eslint-config-airbnb compatible peers dependencies.

Version Peer Dependency Versions
18.2.1
  • eslint @ ^5.16.0 || ^6.8.0 || ^7.2.0
  • eslint-plugin-import @ ^2.21.2
  • eslint-plugin-jsx-a11y @ ^6.3.0
  • eslint-plugin-react @ ^7.20.0
  • eslint-plugin-react-hooks @ ^4 || ^3 || ^2.3.0 || ^1.7.0
18.2.0
  • eslint @ ^5.16.0 || ^6.8.0 || ^7.2.0
  • eslint-plugin-import @ ^2.21.2
  • eslint-plugin-jsx-a11y @ ^6.3.0
  • eslint-plugin-react @ ^7.20.0
  • eslint-plugin-react-hooks @ ^4 || ^3 || ^2.3.0 || ^1.7.0
18.1.0
  • eslint @ ^5.16.0 || ^6.8.0
  • eslint-plugin-import @ ^2.20.1
  • eslint-plugin-jsx-a11y @ ^6.2.3
  • eslint-plugin-react @ ^7.19.0
  • eslint-plugin-react-hooks @ ^2.5.0 || ^1.7.0
18.0.0 - 18.0.1
  • eslint @ ^5.16.0 || ^6.1.0
  • eslint-plugin-import @ ^2.18.2
  • eslint-plugin-jsx-a11y @ ^6.2.3
  • eslint-plugin-react @ ^7.14.3
  • eslint-plugin-react-hooks @ ^1.7.0
17.1.1
  • eslint @ ^4.19.1 || ^5.3.0
  • eslint-plugin-import @ ^2.14.0
  • eslint-plugin-jsx-a11y @ ^6.1.1
  • eslint-plugin-react @ ^7.11.0
17.1.0
  • eslint @ ^4.19.1 || ^5.3.0
  • eslint-plugin-import @ ^2.14.0
  • eslint-plugin-jsx-a11y @ ^6.1.1
  • eslint-plugin-react @ ^7.11.0
17.0.0
  • eslint @ ^4.19.1
  • eslint-plugin-import @ ^2.12.0
  • eslint-plugin-jsx-a11y @ ^6.0.3
  • eslint-plugin-react @ ^7.9.1
16.1.0
  • eslint @ ^4.8.0
  • eslint-plugin-jsx-a11y @ ^6.0.2
  • eslint-plugin-import @ ^2.7.0
  • eslint-plugin-react @ ^7.4.0
16.0.0
  • eslint @ ^4.8.0
  • eslint-plugin-jsx-a11y @ ^6.0.2
  • eslint-plugin-import @ ^2.7.0
  • eslint-plugin-react @ ^7.4.0
15.1.0
  • eslint @ ^3.19.0
  • eslint-plugin-jsx-a11y @ ^5.1.1
  • eslint-plugin-import @ ^2.6.1
  • eslint-plugin-react @ ^7.1.0
15.0.2
  • eslint @ ^3.19.0
  • eslint-plugin-jsx-a11y @ ^5.1.1
  • eslint-plugin-import @ ^2.6.1
  • eslint-plugin-react @ ^7.1.0
15.0.0 - 15.0.1
  • eslint @ ^3.19.0
  • eslint-plugin-jsx-a11y @ ^5.0.1
  • eslint-plugin-import @ ^2.2.0
  • eslint-plugin-react @ ^7.0.1
14.1.0
  • eslint @ ^3.13.0
  • eslint-plugin-jsx-a11y @ ^3.0.2
  • eslint-plugin-import @ ^2.2.0
  • eslint-plugin-react @ ^6.9.0
14.0.0
  • eslint @ ^3.13.0
  • eslint-plugin-jsx-a11y @ ^3.0.2
  • eslint-plugin-import @ ^2.2.0
  • eslint-plugin-react @ ^6.9.0
11.2.0
  • eslint @ ^3.5.0
  • eslint-plugin-jsx-a11y @ ^2.2.1
  • eslint-plugin-import @ ^1.14.0
  • eslint-plugin-react @ ^6.2.0
11.1.0
  • eslint @ ^3.5.0
  • eslint-plugin-jsx-a11y @ ^2.2.1
  • eslint-plugin-import @ ^1.14.0
  • eslint-plugin-react @ ^6.2.0
11.0.0
  • eslint @ ^3.4.0
  • eslint-plugin-jsx-a11y @ ^2.2.1
  • eslint-plugin-import @ ^1.14.0
  • eslint-plugin-react @ ^6.2.0
10.0.1
  • eslint @ ^3.2.2
  • eslint-plugin-jsx-a11y @ ^2.0.1
  • eslint-plugin-import @ ^1.12.0
  • eslint-plugin-react @ ^6.0.0
10.0.0
  • eslint @ ^3.2.2
  • eslint-plugin-jsx-a11y @ ^2.0.1
  • eslint-plugin-import @ ^1.12.0
  • eslint-plugin-react @ ^6.0.0
9.0.0 - 9.0.1
  • eslint @ ^2.9.0
  • eslint-plugin-jsx-a11y @ ^1.2.0
  • eslint-plugin-import @ ^1.7.0
  • eslint-plugin-react @ ^5.0.1
6.2.0
  • eslint @ ^2.2.0
  • eslint-plugin-react @ ^4.0.0
6.0.0 - 6.1.0
  • eslint @ ^2.2.0
  • eslint-plugin-react @ ^4.0.0
5.0.1
  • eslint @ >=1.0.0
5.0.0
  • eslint @ >=1.0.0
3.0.0 - 3.1.0
  • eslint @ >=1.0.0
2.0.0 - 2.1.1
  • eslint @ >=1.0.0
1.0.0 - 1.0.2
  • eslint @ >=1.0.0